Bug 61921 - Enlightenment is missing from Skipjack
Enlightenment is missing from Skipjack
Product: Red Hat Public Beta
Classification: Retired
Component: enlightenment (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-03-25 18:12 EST by Nathan G. Grennan
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-25 18:12:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-03-25 18:12:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
I am very distressed by enlightenment missing from Skipjack. It had been in and
supported by RedHat since 6.0. I first I thought it might be that it wouldn't
work with the libraries used with Skipjack, but later found it was just bad
config files that was causing enlightenment to crash. I had no problem using
compiling enlightenment 0.16.4 and fnlib 0.5.9 src rpms from RedHat Linux 7.2
and using them once I removed my .enlightenment. Also I would like the
enlightenment-conf package added back. It was dropped starting with RedHat Linux
7.0. It is very useful and the 6.2 rpm still works just fine with Skipjack. The
only excuse I can think of for having dropped it is lack of use. Well I use it
and I am sure others do too! It doesn't to need any maintaining from Skipjack as
far as I can see, so PLEASE add it and enlightenment-conf back in before the
next offical release.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Check rpm lists for Skipjack
2. See Enlightenment missing

Additional info:

I have tried Many window managers and none have the all the feature I find in
enlightenment. The feature missing in all the popular window managers(Sawfish,
Kwin, Window Maker) is connected virtual desktops. They all have virtual
desktops, but the virtual desktops are isolated. You can't have a window overlap
onto another desktop. You can't grab a window with your mouse and hotkey to
another desktop with it. You have to use the clunky Send Window to functionality.
Comment 1 Havoc Pennington 2002-03-25 18:30:44 EST
Request duly noted, but I don't think it will happen soon. We are working on 
the pick-up-window-and-change-workspace feature though I believe.
Comment 2 Daniel Ceregatti 2002-03-26 16:09:34 EST
Please don't omit Enlightenment. This is the window manager I've used for years
now. I believe you'll be doing a GREAT disservice to the Linux community if
Enlightenment is omitted.

Note You need to log in before you can comment on or make changes to this bug.